#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int n,m,zbir, ukupno, prijatelj,i,x,y;

    cin>>n>>m;

    zbir=0; ukupno=0;

    long long int druzeljubiv[n];

    for (i=0; i<n; i++)
    {
        cin>>druzeljubiv[i];
    }

    for (i=0; i<m; i++)
    {
        cin>>x>>y;

        zbir=druzeljubiv[x-1]+druzeljubiv[y-1];

        if (zbir>0)
        {
            prijatelj=1;
        }
        else
        {
            prijatelj=-1;
        }
        ukupno=ukupno+zbir*prijatelj;
    }

    cout<<ukupno<<endl;

    return 0;
}